Public runs
List public runs
GET
/
v1
/
public
/
runs
List public runs
curl --request GET \
--url https://api.veri.studio/v1/public/runsimport requests
url = "https://api.veri.studio/v1/public/runs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.veri.studio/v1/public/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"name": "<string>",
"method": "<string>",
"status": "queued",
"publisher": "<string>",
"like_count": 123,
"base_model": "<string>",
"current_step": 123,
"total_steps": 123,
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"duration_seconds": 123,
"published_at": "2023-11-07T05:31:56Z",
"hf_repo_url": "<string>",
"wandb_run_url": "<string>",
"headline_metric": {
"key": "<string>",
"latest": 123,
"first": 123,
"delta": 123,
"step": 123
}
}
],
"has_more": true,
"next_cursor": "2023-11-07T05:31:56Z"
}Query Parameters
Cursor: return runs published strictly before this instant.
List public runs
curl --request GET \
--url https://api.veri.studio/v1/public/runsimport requests
url = "https://api.veri.studio/v1/public/runs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.veri.studio/v1/public/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"name": "<string>",
"method": "<string>",
"status": "queued",
"publisher": "<string>",
"like_count": 123,
"base_model": "<string>",
"current_step": 123,
"total_steps": 123,
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"duration_seconds": 123,
"published_at": "2023-11-07T05:31:56Z",
"hf_repo_url": "<string>",
"wandb_run_url": "<string>",
"headline_metric": {
"key": "<string>",
"latest": 123,
"first": 123,
"delta": 123,
"step": 123
}
}
],
"has_more": true,
"next_cursor": "2023-11-07T05:31:56Z"
}
